import javax.script.Bindings;
import javax.script.ScriptContext;
import javax.script.ScriptEngine;
import javax.script.ScriptEngineManager;
import javax.script.ScriptException;

public class BindingDemo {

    public static void main(String[] args) {

        // create ScriptEngineManager
        ScriptEngineManager manager = new ScriptEngineManager();

        // get the ScriptEngine for JavaScript
        ScriptEngine engine = manager.getEngineByName("js");

        // bind a to 10 and b to 5
        engine.put("a", 10);
        engine.put("b", 5); 

        // get bound values
        Bindings bindings = engine.getBindings(
                ScriptContext.ENGINE_SCOPE);
        Object a = bindings.get("a");
        Object b = bindings.get("b");
        System.out.println("a = " + a);
        System.out.println("b = " + b);

        // use the bound values in calculations
        try {
            Object result = engine.eval("c = a + b;");
            System.out.println("a + b = " + result);
        } catch (ScriptException e) {
            e.printStackTrace();
        }
    }
}
